import { Infra } from './Infra';
import { InfraZone } from './InfraZone';
import { MetaTargetHostType } from '../meta/MetaTargetHostType';
import { InfraHostMachine } from './InfraHostMachine';
import { InfraHostOS } from './InfraHostOS';
import { InfraHostPort } from './InfraHostPort';
import { InfraHostApplication } from './InfraHostApplication';
import { InfraHostDaemon } from './InfraHostDaemon';
import { InfraHostIP } from './InfraHostIP';

export interface InfraHost extends Infra {
  infraZone?: InfraZone;
  metaTargetHostType?: MetaTargetHostType;
  infraHostMachine?: InfraHostMachine;
  infraHostOS?: InfraHostOS;
  infraHostIPs?: InfraHostIP[];
  infraHostPorts?: InfraHostPort[];
  infraHostApplications?: InfraHostApplication[];
  infraHostDaemons?: InfraHostDaemon[];
}