import { Infra } from './Infra';
import { MetaTargetServiceType } from '../meta/MetaTargetServiceType';
import { InfraHostIP } from './InfraHostIP';
import { InfraHostPort } from './InfraHostPort';
import { MetaCryptoType } from '../meta/MetaCryptoType';

export interface InfraService extends Infra {
  metaTargetServiceType?: MetaTargetServiceType;
  infraHostIP?: InfraHostIP;
  infraHostPort?: InfraHostPort;
  metaCryptoType?: MetaCryptoType;
}